#### Release 2.24.5
* Updates SpatialMatch to v.1.4.0

#### Release 2.24.4
* Adds market-specific broker of record option for page-level MLS compliance.

#### Release 2.24.3
* Minor PHP refactoring.

#### Release 2.24.2
* Fixes issue with passing Backbone into Slipstream's RequireJS environment.

#### Release 2.24.1
* Fixes CSS issue in grid layouts.

#### Release 2.24.0
* Updates Slipstream API to v.1.5.3 .
* Fixes deprecation notices for php 8.1 .
* Refactors use of RequireJS in the global scope by giving it a custom namespace.
* Updates Timber to v 1.22.1 .
* Fixes a critical error related to Redux framework.
* Fixes a jQuery version conflict between Slipstream JS API and WP Core by defaulting to WP’s version of jQuery.

#### Release 2.23.8
* Fixes issue related to area lookup functionality within TinyMCE plugins.

#### Release 2.23.7
* Adds versioning to Market Trends Widget.

#### Release 2.23.6
* Fixes issue with Meta Fields not showing up in Pocket Listings on Windows servers.

#### Release 2.23.5
* Fixes deprecations for php 8.1.

#### Release 2.23.4
* Fixes layout issues on Offices page in Astra theme.

#### Release 2.23.3
* Fixes Affordability Calculator.

#### Release 2.23.2
* Minor layout improvements in Schools Nearby widget in desktop view.

#### Release 2.23.1
* Fixes issue with Tour This Home Form email dispatch.
* Adds back .btn classes for backward compatibility.
* Fixes issue with loading Schools module.

#### Release 2.23.0
* Numerous enhancements for better layout grid support by 3rd party themes.
* Adds standardized CSS variables to be utilized across HJ plugins.
* Fixes minor issues in display of Schools Nearby widget.
* Improvements for displaying widgets on mobile devices.
* Styling enhancements for better support of Tour This Home, Gravity Forms widgets and modal windows in 3rd party themes.
* Removes twitter bootstrap button classes (.btn and .btn-primary) in favor of frequently used .button and .button-primary in WP core and 3rd party themes.

#### Release 2.22.8
* Fixes critical error related to Redux instantiation.

#### Release 2.22.7
* Sets SpatialMatch version to 1.11

#### Release 2.22.6
* Fixes PHP 7.3 incompatibility issue in Affordability Calculator.

#### Release 2.22.5
* Adds Affordability Calculator widget.
* Fixes issue with HJ themes not being displayed under Product Library.
* Fixes issue with theme update notifications not visible for HJ themes.

#### Release 2.22.4
* Fixes minor issues caused by widget lazyloading.
* Fixes issue with Schools widget not being loaded.
* Fixes issue with email not being dispatched after submitting “Request Info” form on a listing detail page.

#### Release 2.22.3
* Fixes backward compatibility error related to Dice upgrade.

#### Release 2.22.2
* Performance enhancement to init recaptcha on Sign In modal opening.
* Updates third-party plugin Dice to latest version.
* Fixes js conflict in admin causing “require.config is not a function” error.
* Fixes UI issue in Market Trends widget.
* Fixes issue related to sync of licensee information between WP admin and Slipstream API.

#### Release 2.22.1
* Adds twig function for rendering “alphabet filter” for agents.

#### Release 2.22.0
* Adds distinct=true to API's enumerate call
* Updates Redux Framework to v.4.3.13
* Optimizes hji.js to load modules dynamically
* Adds missing Open Graph data on listing detail pages
* Removes HJ copy of jQuery Migrate

#### Release 2.21.10
* Improves accessibility for modal windows.

#### Release 2.21.9
* Fixes issue with Membership licensee options not being saved upon change.

#### Release 2.21.8
* Fixes issue with missing address fields under Boulevard Theme Options.
* Fixes numerous PHP errors.
* Updates list of markets for Texas compliance.

#### Release 2.21.7
* Fixes issue with mortgage calculator trigger link not being initialized.
* Fixes issue where HJI TinyMCE buttons were not being displayed in Classic Block.
* Fixes issue with Lazysizes loading regardless of browser support for lazy loading.
* Fixes issue with Past Sales including cancelled and expired listings into its output.
* Updates Redux to v.4.3.15.
* Fixes issue with lazysizes not being initialized in standard templates.
* Fixes issue with area lookup field not handling multiple values.

#### Release 2.21.6
* Updates Redux to v.4.3.14.
* Fixes miscellaneous PHP warnings.
* Fixes is_admin() conditions for ajax requests.

#### Release 2.21.5
* Fixes Colorbox gallery on listing detail pages.

#### Release 2.21.4
* Optimizes load of fonts and stylesheets.
* Removes use of external Material Icons font in favor of Font Awesome in effort to improve page speed.

#### Release 2.21.3
* Changes priority of jquery-ui and requirejs scripts in effort to avoid jquery components loading as amd modules.

#### Release 2.21.2
* Fixes requirejs conflicts by removing defer attributes from JS loaded by Gravity Forms.
* Fixes issue with SwiperSlider invocation.

#### Release 2.21.1
* Fixes a critical error during updating the plugin.

#### Release 2.21.0
* Lowers number of DB requests initiated by getGFFormByFormKey().
* Minifies accessibility js resources.
* Optimizes load of css files.
* Removes use of unveil library.
* Improves type-ahead area lookup functionality.
* Improves lazy loading in bxSlider.

#### Release 2.20.5
* Fixes critical issue during TinyMCE plugins initialization (user clicks on HJ buttons in WYSIWYG editor)

#### Release 2.20.4
* Fixes paths to Market Trends JS component.

#### Release 2.20.3
* Removes unnecessary styles from the bxsldier css.

#### Release 2.20.2
* Fixes issue with missing fonts and icons resources in Release Candidate.

#### Release 2.20.1
* Fixes fatal error caused by incorrect dependency between Membership and Responsive IDX.

#### Release 2.20.0
* Improves accessibility for modals.
* Fixes issue with Gravity Forms filters executing excessive number of times.

#### Release 2.19.1
* Fixes issue with cancelled listings appearing in the past sales.

#### Release 2.19.0
* Improves modal accessibility.

#### Release 2.18.0
* Improves Mapbox accessibility.
* Fixes problem with displaying tinyMCE widgets.

#### Release 2.17.3
* Fixes issue with incomplete customer data in hji-membership-settings option.

#### Release 2.17.2
* Fixes rating badges color contrast in nearby schools widget.
* Fixes color contrast in area demographics widget.
* Fixes global pagination component color contrast.

#### Release 2.17.1
* Fixes the "address" extension was not located properly.

#### Release 2.17.0
* Implements preloading for Google fonts and Font Awesome.
* Upgrades Redux Framework plugin to v. 4.2.14
* Fixes issue with Font Awesome not loading in non-HJI WordPress themes.

#### Release 2.16.6
* Fixes issue with forming incorrect main stylesheet URL.
* Fixes issue with displaying Font Awesome icons in standard WordPress themes.

#### Release 2.16.5
* RANW-related compliance changes.
* Fixes issues related to loading process of admin options via Redux Framework.
* Misc. DB usage optimizations.

#### Release 2.16.4
* Optimized use of resources by excluding unnecessary code execution during the heartbeat API calls.

#### Release 2.16.3
* Fixes some issues.

#### Release 2.16.2
* Fixes the issue with the agent data synchronization.

#### Release 2.16.1
* Fixes photos not being displayed in gallery slider on Pocket Listing detail pages.

#### Release 2.16.0
* Fixes issues with Gravity Forms import on single instances of multisite.
* Fixes deprecated functionality in  WPSEO 14.0
* Improves accessibility in the  top menu bar.
* Turns off HJI plugins auto-updates.

#### Release 2.15.3
* Changes recent sales sort ordering.

#### Release 2.15.2
* Fixes NWMLS Compliance issue.
* Updates deprecated jQuery code.
* Fixes infinity loop issue caused by updating BLVD Framework via network activate.

#### Release 2.15.1
* Fixes BLVD Framework update issue via Multisite Network activate.

#### Release 2.15.0
* Updates markup of the popup window in the Colorbox plugin.
* Geo Farms. Fixes accessibility issue for the Map in the Hero section.
* Home Value. Adds support for the center parameter in the shortcode.
* Fixes duplicate ID issue in the Contact Form.
* Fixes issue with mega menu.
* Fixes media library issue in Page Builder.
* Fixes FSBO form error.
* Adds a check for plugin dependencies.
* Updates mapbox.js version in the configuraion file to 2.4.0
* Fixes Home Value dependency on rIDX.

#### Release 2.14.1
* Removes the ability to activate blvd framework at the network level.
* Fixes session-related issues, causing fatal error during  update.

#### Release 2.14.0
* Removes use of sessions, integrates wp transient.
* Adds support for the Open House widget.
* Updates redux to 4.1.24
* Fixes SameSite cross-domain cookies issue.
* Fixes fields accessibility issue in selectize.js.
* Fixes fatal error with empty main menu.
* Implements gravity form import functionality.

#### Release 2.13.4
* Fixes issue with the set js environment variable.

#### Release 2.13.3
* Fixes errors related to the fresh install of plugins on a brand new Word Press instance.

#### Release 2.13.2
* Fixes critical error during plugin activation.

#### Release 2.13.1
* Fixes issue with loading accessibility-related script.

#### Release 2.13.0
* Adds support for PHP 7.4
* Improved accessibility for pagination in the search results section.

#### Release 2.12.3
* Fixes Rich Text Editor issue in Page Builder in WordPress 5.5
* Fixes address lookup issue.

#### Release 2.12.2
* Fixes the issue with Redux when it is installed as a separate plugin.

#### Release 2.12.1
* Adds bootstrap autoloading.
* Adds Area Bias option into Advanced Options available at a fixed URL.
* Fixes incorrect Open Graph metadata that broke FB share functionality.
* Compatibility update with Yoast SEO 14.0.
* Fixes missing hji.min.js file issue.
* Fixes issue with Search Nearby, not performing search.

#### Release 2.11.4
* Updates date function and time format in WPHelper.
* Adds advanced options for the Admin role to configure area types for the area lookup field in Search Widget.
* MapBox Compatibility Update for Slipstream JS 1.5.0
* Updated date and time functionality in WPHelper.
* Hotfix: Fixes Redux dev mode issue.
* Hotfix: Home Value address field height issue.
* Fatal Error hotfix: Uncaught exception DateTimeZone::__construct() in WPHelper.

#### Release 2.11.2
* Fixes date-related functionality in WPHelper.

#### Release 2.11.1
* Updates Slipstream JS API to v.1.4.7
* Fixes the lists display issue in Featured Listing Widget.
* Adds reCaptcha setting.

#### Release 2.11.0
* Fixes some warnings and notices.
* Integrates Redux into Membership.
* Adds support for the Map Search logo height editing for standard Wordpress themes.
* Part of php sessions (markets) moved to wordpress transient (with compressing).

#### Release 2.10.0
* Updates Slipstream JS API to v.1.4.6.
* Fixes browser auto-complete conflict with area lookup input field.
* Fixes environment configuration values.
* Updates Font Awesome to v.4.7.0
* Minor changes to modal dialog component.

#### Release 2.9.13
* Soft function deprecation for environment.

#### Release 2.9.12
* Implements environment functionality.

#### Release 2.9.10
* Updates search query sanitization routine to avoid stripping spaces and plus signs from strings.
* Updates Slipstream JS API to v.1.4.4

#### Release 2.9.9
* Adds copyrights to the Mapbox maps.
* Fixes Timber cache enabler warning.
* Disables browser auto-completion for area lookup fields.

#### Release 2.9.8
* Fixes click through issue with bxSlider slides.
* Updates gulp configuration.
* Fixes post preview issue in Timber.

#### Release  2.9.7
* Fixes colorbox image preview within slider.
* Fixes string sanitization within auto-suggest input fields.

#### Release 2.9.6
* Improves XSS preventive measures.

#### Release 2.9.5
* Hotfix: Adds support for the location json field in tinymce shortcode factory (fixes New Construction shortcode).

#### Release 2.9.4
* Hotfix: fixes location lookup field for cases where school address is not defined.

#### Release 2.9.3
* Fixes image URL validation for cases where protocol is not provided and shorthand urls are used (i.e. //url.com - NNEREN market is using such urls).
* Increases offset for img lazy loading from 250 to 800px.
* Fixes can not read property 'lat' of undefined in map views when polygon/location is not provided.

#### Release 2.9.2
* Fixes area lookup bias conflict. Areas with only one type of city (postal/census) did not return any results with opposite bias.

#### Release 2.9.1
* Fixes issue where Quick Search Widgets does not submit if Location is not entered.

#### Release 2.9.0
* Adds support for school and school attendance area lookup.

#### Release 2.8.4
* Removes form submission event added in Gravity Forms 2.4 that aborts form submission if submit button is hidden.

#### Release 2.8.3
* Fixes inheritance issue with Plugin abstract class - changes static properties to public.
* Prevents Chrome from forcing autocomplete on selectize API lookup fields.
* Add image dimension to the head for listing details pages.

#### Release 2.8.2
* Bug Fix: Changes let to var for older browser / iOS support within RequireJS config

#### Release  2.8.1
* Bug Fix: hides info window content above the map.
* Bug Fix: renames Coordinates model to lower case filename.

#### Release 2.8.0
* Converts all mapping capabilities to MapBox with ability to use Google Maps with own Google API key.

#### Release 2.7.3
* Numerous minor improvements.

#### Release 2.7.2
* Fixes fatal error related to a missing class in Twig.

#### Release 2.7.1
* Adds Google Maps API Key admin option
* Falls back onto Embed API for data-init maps with HJI Map API Key
* Adds lazy loading for maps

#### Release 2.7.0
* Adds Plugin API for creating Membership Plugins
* Adds REST API support to Custom Post Types and Taxonomies via simplified interface.
* Updates CMB2 to version 2.3.0

#### Release 2.6.8
* Displays PHP version requirement notices in the Admin Dashboard for the future updates.

#### Release 2.6.7
* Adds call chaining support to the API Client
* Fixes scrolling/panning Google Maps
* Fixes environment variable in POI Widget
* Numerous W3C Compliance Fixes
* Misc minor fixes

#### Release 2.6.6
* Fixes minor area lookup issue where some counties were showing up only on consecutive lookup.

#### Release 2.6.5
* Updates Slipstream API to v20180104

#### Release 2.6.4
* Hotfix: lookup field script error when one of the parameters is passed with null value.

#### Release 2.6.3
* Adds support for listing images as Open Graph tags for better social media sharing

#### Release 2.6.2
* Improves area lookup component.
* Fixes some issues related to polygons plotted on the map.

#### Release 2.6.1
* Overhauls image centering via CSS. Adds object-fit polyfill for IE support.

#### Release 2.6.0
* Adds str.includes() polyfill for IE support.

#### Release 2.5.9
* Fixes issue with duplicate listing photos in the colorbox.

#### Release 2.5.8
* Updates Slipstream API to v20170418.
* Updates Slipstream JS API v1.4.1.
* Fixes admin notice positioning.
* Improves browser geolocation user response and error handling.
* Adds schools JS widgets.
* Numerous minor improvements and fixes.

#### Release 2.5.7
* Updates plugin updates checker to v.1.6.1

#### Release 2.5.6
* Improves image slider re-centering for Boulevard 4 themes.

#### Release 2.5.5
* Adds support for multiple market pointers in the area lookup script.

#### Release 2.5.4
* Fixes polygon lookup field race condition.

#### Release 2.5.3
* Hotfix: Includes SCSS source files.

#### Release 2.5.2
* Hotfix: PHP 5.3 incompatible syntax.

#### Release 2.5.1
* Fixes plugin updates via WP CLI.
* Updates Timber to v.1.1.6
* Adds support for customer referrer (FNF).
* Adds Slipstream JS widgets to JS components.
* Updates Slipstream v to 20160809.
* Adds support for SCRIPT_DEBUG.

#### Release 2.5.0
* PHP 7 Compatibility
* WP 4.6 Compatibility
* Updates National Reports API to v.1.0.7

#### Release 2.4.9
* Inserts HJI customer company name in emails where "From Name" header is not defined or defaults to WordPress.

#### Release 2.4.8
* Sets twig cache path via Timber's native filter hook timber/cache/location
* Removes domReady from a few requireJS modules.
* Includes isMobile into the main js file.
* Changes the way Slipstream JS loads via requireJS.
* Adds report printing support to the National Reports API.

#### Release 2.4.7
* Fixes Timber issue due to wrong folder name cases.

#### Release 2.4.6
* Fixes Twig template location issue.
* Updates Timber to v.1.1.0

#### Release 2.4.5
* Updates Slipstream JS API to v.1.3.3.
* Updates National Reports API to v.1.0.6.

#### Release 2.4.4
* Updates National Reports API to v.1.0.4.

#### Release 2.4.2
* Updates National Reports API to v.1.0.3.

#### Release 2.4.2
* Hotfix: fixes customer data synchronization issue.

#### Release 2.4.1
* Hotfix: PHP 5.3 incompatibility error

#### Release 2.4.0
* Adds support for National Reports API
* Adds interface for Membership customer information and personal graphics to be used in integrated CRMs.
* Improves entry validation for Address Lookup JS module.
* Adds support for email tracking in HJI hosted solutions.

#### Release 2.3.9
* WP 4.5 compatibility update.

#### Release 2.3.8
* Hotfix: fixes price range rendering in user registration notification email.

#### Release 2.3.7
* Hotfix: adds support for Townships in area lookup JS module.

#### Release 2.3.6
* Hotfix: rendering issues in some tinyMCE widgets.

#### Release 2.3.5
* Adds Google Address auto-complete component.
* Adds support for all modal options via data attributes.
* Adds support for open graph tags to property listings in rIDX and New Construction.
* Numerous minor improvements.
* WordPress 4.4 compatibility update.

#### Release 2.3.4
* Adds support for HJI Users Sign In module.
* Fixes issue where plugin dependencies weren't obeyed on the front-end side.

#### Release 2.3.3
* Fixes issue with mixed HTTP/HTTPS protocols within dynamically loaded scripts.
* Fixes dynamic merge tag parsing in Gravity Forms.

#### Release 2.3.2
* Improves the image flag css for listings
* Updates tab refresh to fire on every tab trigger instead of just the first.
* Updates common.css to include additional css for listing img flag spans

#### Release 2.3.1
* Infrastructure improvements for HJI-line of Membership plugins.

#### Release 2.2.1
* WP 4.2 compatibility update.
* Fixes plugin updates failures via ajax on Plugins dashboard in WP 4.2.
* Fixes minor php notices.

#### Release 2.2.0
* Added close button to the registration dialog, when registration is not required.
* Added internal event logging service.
* Added *hji_membership_activation* action hook, which executes during Membership activation.
* Implements dependency injection and auto-loading of classes.

#### Release 2.1.3
* Fixes: tokens issue for product updates.

#### Release 2.1.2
* Fixes: API area lookup was truncating leading zeros from zip codes.

#### Release 2.1.1
* Added: daily event to purge expired transients.
* Minor fixes and improvements.

#### Release 2.1.0
* Added support for Gravity Forms.

#### Release 2.0
* Switched to Slipstream API
* Added support for for multiple markets via a single license key
* Added Products Library for HJI plugins and themes.

#### Release 1.0
* Initial release.
