<?php

namespace hji\membership\components\affordability;

class AffordabilityCalc
{
    private static $instances = [];

    public static $affordabilityUrl;

    protected function __construct()
    {
    }

    public static function getInstance()
    {
        $cls = static::class;
        if (!isset(self::$instances[$cls])) {
            self::$instances[$cls] = new static();
            $relativePath = explode(WP_PLUGIN_DIR, __DIR__);

            if (is_array($relativePath) && count($relativePath) === 2) {
                self::$affordabilityUrl = WP_PLUGIN_URL . $relativePath[1];
            }
        }

        return self::$instances[$cls];
    }

    public function init()
    {
        add_action('widgets_init', function () {
            register_widget(AffordabilityCalcWidget::class);
        });

        add_shortcode('affordability', [new AffordabilityCalcShortcode(), 'init']);
        add_action('wp_enqueue_scripts', [$this, 'enqueueScripts']);
    }

    public function enqueueScripts()
    {
        $data = "var affordabilityViewResultsUrl = '" . self::$affordabilityUrl . "/view';";
        wp_add_inline_script('jquery', $data, 'before');
        add_thickbox();
    }
}
