<?php

namespace hji\membership\components\affordability;

class AffordabilityCalcShortcode
{
    private function getDefShortcodeAtts()
    {
        return [
            'required' => [
                "interest_rate" => '',
            ],
            'optional' => [
                "title" => "Affordability Calculator",
                "before_title" => "<h3>",
                "after_title" => "</h3>",
                "width" => false,
                "return" => true,
            ],
        ];
    }

    public function init($atts)
    {
        $args = shortcode_atts($this->mergeAtts($this->getDefShortcodeAtts()), $atts);
        $instance = $args;

        return (new AffordabilityCalcWidget())->widget($args, $instance);
    }

    private function mergeAtts($shortcodeAtts)
    {
        $newAtts = [];

        if (isset($shortcodeAtts['required'], $shortcodeAtts['optional'])) {
            $newAtts = array_merge($shortcodeAtts['required'], $shortcodeAtts['optional']);
        }

        return $newAtts;
    }
}
