<?php
namespace hji\membership\controllers;

use \hji\membership\Membership;
use hji\membership\utils\Environment;

/**
 * Included Scripts
 *
 *    Name - handle - type
 *
 * 1. HJI Twitter Bootstrap Essential - hji-bootstrap|css
 * 2. HJI Common - hji-common|js|css
 * 3. MapBox - hji-mapbox|js|css
 * 4. Google Maps API - google-maps-api|js
 * 5. BxSlider - bxslider|js|css
 * 6. Colorbox - colorbox|js|css
 * 7. FontAwesome - font-awesome|css
 */


class CommonScripts
{
    const IN_FOOTER = true;

    static function register()
    {
        $require = Membership::getInstance()->requireJs;
        $min = Environment::is('dev') ? '' : '.min';
        // 1. HJI Twitter Bootstrap
        if (!is_admin())
        {
            wp_register_style('hji-bootstrap', Membership::$url . '/third-party/hji-bootstrap/hjitb.min.css', array(), false);
            wp_register_script('hji-bootstrap', Membership::$url . '/third-party/hji-bootstrap/hjitb.min.js', array('jquery'), false, true);
        }

        // 2. HJI Common

        $require->addPath('hji-membership', Membership::$url . '/resources/scripts/build/');
        $require->addPath('hji-common', Membership::$url . '/resources/scripts/build/components');
        wp_register_style('hji-common', Membership::$url . "/resources/styles/common$min.css");

//
//        // 4. Google Maps API
//
        wp_register_script('google-maps-api', 'https://maps.googleapis.com/maps/api/js?sensor=true&libraries=drawing&callback=google_maps_loaded', array(), 'latest', self::IN_FOOTER);
//
//        // 5. BxSlider - http://bxslider.com/
//
        $require->addPath('bxslider', Membership::$url . '/third-party/bxslider/jquery.bxslider.min');
//
//        // 6. Colorbox - http://www.jacklmoore.com/colorbox/
//
        $require->addPath('colorbox', Membership::$url . '/third-party/colorbox/jquery.colorbox');
//
        // 7. FontAwesome - http://fortawesome.github.io/Font-Awesome/

        wp_register_style('font-awesome', '//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css', array(), '4.7.0');
//
//        // 8. Selectize.js http://brianreavis.github.io/selectize.js/
//
        $require->addPath('selectize', Membership::$url . '/third-party/selectize/js/standalone/selectize.min');

    }
}
