<?php


namespace hji\membership\controllers;


class PluginAutoUpdateManager
{
    public $hjiPluginNames = [];


    public function switchDisableAutoUpdate()
    {
        add_action('plugins_loaded', [$this, 'disableAutoUpdate'], 99);
    }

    public function disableAutoUpdate()
    {
        $this->fillPluginNames();
        add_filter('auto_update_plugin', [$this, 'excludePlugins'], 10, 2);
    }

    protected function fillPluginNames()
    {
        $registryEntries = ProductRegistrar::getInstance()->getEntries();
        foreach ($registryEntries as $registryEntry) {
            if (!empty($registryEntry->product->getData()['Name'])) {
                $this->hjiPluginNames[] = $registryEntry->product->getData()['Name'];
            }
        }
    }

    public function excludePlugins($update, $item)
    {
        if (in_array($item->Name, $this->hjiPluginNames)) {
            return false;
        }
    }
}