<?php

namespace hji\membership\extension\postTypes;


use hji\common\utils\StringUtil;


class PostTypeAdminCols
{
    protected $prefix;
    protected $textdomain;
    protected $schema = [];

    protected $columns = [];

    protected $stringUtil;


    public function __construct(
        array $colsSchema, string $fieldPrefix = null, $textdomain = null, StringUtil $stringUtil)
    {
        $this->schema        = $colsSchema;
        $this->prefix        = $fieldPrefix;
        $this->textdomain    = $textdomain;

        $this->stringUtil    = $stringUtil;
    }


    function getColumns()
    {
        if (!$this->columns)
        {
            $this->setColumns($this->schema);
        }

        return $this->columns;
    }


    protected function setColumns(array $schema)
    {
        foreach ($schema as &$column)
        {
            if (isset($column['field']))
            {
                $column['field'] = $this->stringUtil->applyPrefix($column['field'], $this->prefix);
            }

            if (isset($column['title']))
            {
                $column['title'] = __($column['title'], $this->textdomain);
            }
        }

        $this->columns = $schema;
    }
}