<?php

namespace hji\membership\extension\postTypes;


use hji\common\utils\StringUtil;


class PostTypeAdminFilters
{
    protected $prefix;
    protected $textdomain;
    protected $schema = [];

    protected $filters = [];

    protected $stringUtil;


    public function __construct(array $filtersSchema, string $fieldPrefix = null, $textdomain = null, StringUtil $stringUtil)
    {
        $this->schema     = $filtersSchema;
        $this->prefix     = $fieldPrefix;
        $this->textdomain = $textdomain;
        $this->stringUtil = $stringUtil;
    }


    function getFilters()
    {
        if (!$this->filters)
        {
            $this->setFilters($this->schema);
        }

        return $this->filters;
    }


    protected function setFilters(array $schema)
    {
        foreach ($schema as &$filter)
        {
            if (isset($filter['meta_key']))
            {
                $filter['meta_key'] = $this->stringUtil->applyPrefix($filter['meta_key'], $this->prefix);
            }

            if (isset($filter['meta_search_key']))
            {
                $filter['meta_search_key'] = $this->stringUtil->applyPrefix($filter['meta_search_key'], $this->prefix);
            }

            if (isset($filter['meta_exists']) && !empty($filter['meta_exists']))
            {
                $options = $filter['meta_exists'];
                foreach ($options as $metaKey => $label)
                {
                    $prefixedKey = $this->stringUtil->applyPrefix($metaKey, $this->prefix);
                    unset($filter['meta_exists'][$metaKey]);
                    $filter['meta_exists'][$prefixedKey] = $label;
                }
            }

            if (isset($filter['title']))
            {
                $filter['title'] = __($filter['title'], $this->textdomain);
            }
        }

        $this->filters = $schema;
    }
}