<?php

namespace hji\membership\extension\rest;


abstract class ToREST
{

    /**
     * Implementation of the get_callback
     * @see \WP_REST_Controller::add_additional_fields_to_object()
     *
     * @param array $object Data object i.e. Post, Taxonomy etc
     * @param string $fieldId Field ID/Name
     * @param \WP_REST_Request $request
     * @param string $object_type
     *
     * @return mixed
     */
    abstract public function getFieldValue($object, $fieldId, $request, $object_type);


    /**
     * Implementation of the update_callback
     * @see \WP_REST_Controller::update_additional_fields_for_object()
     *
     * @param string $value Field value
     * @param array $object Data object i.e. Post, Taxonomy etc
     * @param string $fieldId Field ID/Name
     * @param \WP_REST_Request $request
     * @param string $object_type
     *
     * @return mixed
     */
    abstract public function updateFieldValue($value, $object, $fieldId, $request, $object_type);


    public function registerField(string $objectType, string $fieldId, array $args = null)
    {
        register_rest_field(
            $objectType, // @codeCoverageIgnore
            $fieldId,   // @codeCoverageIgnore
            [
                'get_callback'    => $args['get_callback'] ?? [$this, 'getFieldValue'],
                'update_callback' => $args['update_callback'] ?? [$this, 'updateFieldValue'],
                'schema'          => $args['schema'] ?? null // @codeCoverageIgnore
            ]
        );
    }

}