<?php

namespace hji\membership\extension\twig;

use hji\membership\utils\Image;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;
use Twig\TwigFunction;

class ImageExtension extends AbstractExtension
{
    public function getFilters()
    {
        return [
            new TwigFilter('resize_self_hosted_image', [Image::class, 'resizeSelfHostedImage']),
        ];
    }

    public function getFunctions()
    {
        return [
            new TwigFunction('get_preload_images', [Image::class, 'getPreloadImages']),
            new TwigFunction('get_picture', [Image::class, 'getPicture']),
            new TwigFunction('get_tag_source', [Image::class, 'getTagSource']),
            new TwigFunction('get_local_image_width', [Image::class, 'getLocalImageWidth']),
        ];
    }
}
