<?php
namespace hji\membership\models;

use hji\common\interfaces\PostContract;

class AgentFake extends PostContract
{
    public $PostClass = 'hji\membership\models\Agent';
    public $schema = 'RealEstateAgent';
    public $object_type = 'agent';
    public $no_img;
    public $job_title;
    public $designations;
    public $office_phone;
    public $mobile_phone;
    public $fax;
    public $website;
    public $email;
    public $facebook;
    public $twitter;
    public $google_plus;
    public $linkedin;
    public $pinterest;
    public $youtube;
    public $instagram;

    /**
     * Returns a link to either the listings on an agent page or a search URL
     * @var string
     */
    public $listing_link;

    /**
     * Returns the agent roster contact form
     * @var bool|string
     */
    public $contact_form;

    /**
     * Returns true when any social media URLs are present
     * @var boolean
     */
    public $has_social;

    /**
     * Returns true when the agent is marked as a top producer
     * @var boolean
     */
    public $top_producer;

    /**
     * Returns a collection of listings from a shortcode of rIDX
     * Only available on the single agent pages
     * @var string
     */
    public $listings;

    /**
     * Returns a collection of past sales listings from a shortcode of rIDX
     * Only available on the single agent pages
     * @var string
     */
    public $pastSalesListings;

    /**
     * Returns the agent primary  office
     * @var array|bool|null
     */
    public $office;

    /**
     * Returns a collection of agent testimonials
     * @var array|bool|null
     */
    public $testimonials;

    /**
     * Returns the gravity forms markup
     * @var string|null
     */
    public $testimonial_form;

    public $agent_form_sendto_email;
}
