<?php


namespace hji\membership\models;

/**
 * Class DependencyModel
 * @package hji\membership\models
 */
class DependencyModel
{
    protected $project;
    protected $require = array();

    /**
     * DependencyModel constructor.
     * @param $project
     * @param null $requireTheme
     * @param null $requirePlugins
     */
    public function __construct($project, $requireTheme = null, $requirePlugins = null)
    {
        $this->project = $project;
        $themes = $this->toEntities($requireTheme, 'theme');
        $plugins = $this->toEntities($requirePlugins, 'plugin');
        $require = array_merge($plugins, $themes);

        if (!empty($require)) {
            $this->require = $require;
        }
    }

    /**
     * @param $items
     * @param $type
     * @return array
     */
    function toEntities($items, $type)
    {
        $entities = array();

        if (is_array($items) && !empty($items)) {
            foreach ($items as $name => $version) {
                switch ($type) {
                    case 'plugin':
                        $entities[] =  new DependencyPluginEntity($name, $version, $type);
                        break;
                    default:
                        $entities[] =  new DependencyEntity($name, $version, $type);
                  }
            }

            return $entities;
        }

        return array();
    }

    /**
     * @param $property
     * @return mixed
     */
    public function __get($property)
    {
        if (property_exists(__CLASS__, $property)) {
            return $this->$property;
        }
    }
}