<?php

namespace hji\membership\models\compliances;

class ComplianceBase
{
    /**
    * The compliance mapping array
    *
    * @return array
    */
    public function getMarketsRequirements()
    {
        return array_merge(
            $this->getTexasMarketsRequirements(),
            $this->getNnerenMarketsRequirements(),
            $this->getNwmlsMarketsRequirements(),
            $this->getRanwMarketsRequirements()
        );
    }

    /**
     * @return array
     */
    public function getTexasMarketsRequirements()
    {
        return [
            'actris' => \hji\membership\models\compliances\TexasCompliance::class,
            'amarillo' => \hji\membership\models\compliances\TexasCompliance::class,
            'amarillobt' => \hji\membership\models\compliances\TexasCompliance::class,
            'bbor' => \hji\membership\models\compliances\TexasCompliance::class,
            'bcbr' => \hji\membership\models\compliances\TexasCompliance::class,
            'bcsrmls' => \hji\membership\models\compliances\TexasCompliance::class,
            'cbar' => \hji\membership\models\compliances\TexasCompliance::class,
            'chcbr' => \hji\membership\models\compliances\TexasCompliance::class,
            'ctxmls' => \hji\membership\models\compliances\TexasCompliance::class,
            'gepar' => \hji\membership\models\compliances\TexasCompliance::class,
            'gmar' => \hji\membership\models\compliances\TexasCompliance::class,
            'gmarfull' => \hji\membership\models\compliances\TexasCompliance::class,
            'harmls' => \hji\membership\models\compliances\TexasCompliance::class,
            'hlmls' => \hji\membership\models\compliances\TexasCompliance::class,
            'kbor' => \hji\membership\models\compliances\TexasCompliance::class,
            'kborrb' => \hji\membership\models\compliances\TexasCompliance::class,
            'laar' => \hji\membership\models\compliances\TexasCompliance::class,
            'lubar' => \hji\membership\models\compliances\TexasCompliance::class,
            'lufkin' => \hji\membership\models\compliances\TexasCompliance::class,
            'ntreis' => \hji\membership\models\compliances\TexasCompliance::class,
            'permian' => \hji\membership\models\compliances\TexasCompliance::class,
            'rgvmls' => \hji\membership\models\compliances\TexasCompliance::class,
            'rpaar' => \hji\membership\models\compliances\TexasCompliance::class,
            'sabor' => \hji\membership\models\compliances\TexasCompliance::class,
            'tbbor' => \hji\membership\models\compliances\TexasCompliance::class,
            'txccmls' => \hji\membership\models\compliances\TexasCompliance::class,
            'tylertx' => \hji\membership\models\compliances\TexasCompliance::class,
            'vaar' => \hji\membership\models\compliances\TexasCompliance::class,
            'waco' => \hji\membership\models\compliances\TexasCompliance::class,
            'wfar' => \hji\membership\models\compliances\TexasCompliance::class,
        ];
    }

    /**
     * @return array
     */
    public function getNwmlsMarketsRequirements()
    {
        return [
            'nwmls'   => \hji\membership\models\compliances\NwmlsCompliance::class,
        ];
    }

    /**
     * @return array
     */
    public function getNnerenMarketsRequirements()
    {
        return [
            'nneren'   => \hji\membership\models\compliances\NnerenCompliance::class,
        ];
    }

    /**
     * @return array
     */
    public function getRanwMarketsRequirements()
    {
        return [
            'ranw'   => \hji\membership\models\compliances\NnerenCompliance::class,
            // Uncomment if need different compliance for this market
            //'ranw'   => \hji\membership\models\compliances\RanwCompliance::class,
        ];
    }
}
