<?php

namespace hji\membership\models\compliances;

use hji\ResponsiveIDX\core\abstracts\Component;
use hji\ResponsiveIDX\ResponsiveIDX;

class TexasCompliance extends Component
{
    protected $iabsForm;
    protected $trecForm;


    public function __construct()
    {
        $this->trecForm = ResponsiveIDX::$resourcesUrl . '/compliance/texas_trec.pdf';
        $this->iabsForm = ResponsiveIDX::$resourcesUrl . '/compliance/texas_iabs.pdf';
    }

    public function init()
    {
        $this->initActions();
        $this->initFilters();
    }

    public function initActions()
    {
//        add_action('wp_footer', [ $this, 'showComplianceCopyright' ] );
    }

    public function initFilters()
    {
//        add_filter('MapSearch/afterDisclaimer', [ $this, 'generateComplianceCopyrightHtml' ] );
    }

    /**
     * Adds the texas compliance forms to the site footer
     *
     * @param $copyright
     * @return string
     */
    public function generateComplianceCopyrightHtml($copyright = '')
    {
        $complianceSettings = get_option(\hji\ResponsiveIDX\controllers\Settings::$compliance_settings_key);

        // first we add the standard Texas compliance form to the footer
        $trecLink = sprintf('<a class="trec-cpn" href="%s" title="Texas Real Estate Commission Consumer Protection Notice" target="_blank">TREC Consumer Protection Notice</a>', $this->trecForm);
        $copyright = $copyright . ' ' . $trecLink;

        // next we grab the customer signed Texas compliance for from theme options and add it to the footer too
        $iabsForm = $complianceSettings['file_src'] ?? null;

        if (!empty($iabsForm))
        {
            $iabsLink = sprintf('<a class="trec-iabs" href="%s" title="Texas Real Estate Commission Information About Brokerage Services" target="_blank">Information About Brokerage Services</a>', $iabsForm);
            $copyright = $copyright . ' &nbsp;&nbsp; ' . $iabsLink;
        }

        return $copyright;
    }

    /**
     *
     */
    public function showComplianceCopyright()
    {
        echo '<div class="market-compliance container text-center"><div class="space-before"></div><div class="row"><div class="col-md-12"> '
            . $this->generateComplianceCopyrightHtml()
            . '</div></div><div class="space-after"></div></div>';
    }

}
