<?php
namespace hji\membership\models\data;


class Address
{
    protected $street;
    protected $city;
    protected $state;
    protected $zip;
    protected $deliveryLine;
    protected $fullAddress;


    public function __construct($address)
    {
        $address = (array)$address;

        foreach ($address as $k => $v)
        {
            if (property_exists($this, $k))
            {
                $this->{$k} = $v;
            }
        }
    }


    /**
     * Magic method for getting protected properties
     *
     * @param $property
     * @return null
     */
    public function __get($property)
    {
        if (property_exists($this, $property))
        {
            return $this->$property;
        }
        return null;
    }


    /**
     * Magic method for checking if protected properties are set
     *
     * @param $property
     * @return bool
     */
    public function __isset($property)
    {
        if (property_exists($this, $property))
        {
            return true;
        }
        return false;
    }


    public function getStreet()
    {
        return $this->deliveryLine;
    }


    public function getCity()
    {
        return $this->city;
    }


    public function getState()
    {
        return $this->state;
    }


    public function getDeliveryLine()
    {
        return $this->deliveryLine;
    }


    public function getFullAddress()
    {
        if (!$this->fullAddress)
        {
            $commaSeparated[] = $this->deliveryLine;
            $commaSeparated[] = $this->city;
            $commaSeparated[] = $this->state;

            $commaSeparated = array_filter($commaSeparated);

            if (!empty($commaSeparated) && $this->zip)
            {
                $this->fullAddress = implode(', ', $commaSeparated) . ' ' . $this->zip;
            }
        }

        return $this->fullAddress;
    }
}