<?php
namespace hji\membership\rendering;


class Renderer
{
    /** @var  Array of Template directories */
    protected $locations = array();


    public function render($fileName, array $vars = null)
    {
        $templateRender = $this->getTemplateRenderer($fileName);

        return $templateRender->render($fileName, $vars);
    }


    protected function getTemplateRenderer($fileName)
    {
        $templateRenderer = ($this->_isTwig($fileName)) ? new twigRenderer() : new phtmlRenderer();

        if ($this->locations)
            $templateRenderer->setLocations($this->locations);

        return $templateRenderer;
    }


    public function setLocations($locations)
    {
        $this->locations = (array)$locations;
    }


    /**
    * Checks if a file is a .twig template
    *
    * @param $fileName
    * @return bool
    */
    protected function _isTwig($fileName)
    {
        return (substr($fileName, -5, 5) == '.twig') ? true : false;
    }
}