<?php
namespace hji\membership\rendering;

use \hji\common\utils\View as BaseView;


class phtmlRenderer implements TemplateRendererInterface
{
    protected $locations = array();


    public function render($fileName, array $vars = null)
    {
        $template = $this->_locateTemplate($fileName);

        return BaseView::render($template, $vars);
    }


    public function setLocations(array $locations = null)
    {
        $this->locations = (array) $locations;
    }


    /**
     * Locates the template for rendering
     *
     * @param bool|false $fileName
     * @return string
     */
    protected function _locateTemplate($fileName = false)
    {
        $fileName = $fileName . '.phtml';

        $template = locate_template(array(
            'hji-templates/' . $fileName,
            $fileName
        ));

        if ($template == '')
        {
            foreach ($this->locations as $dir)
            {
                $_template = trailingslashit($dir) . $fileName;

                if (file_exists($_template))
                {
                    return $_template;
                }
            }
        }

        return $template;
    }
}