<?php

namespace hji\membership\services\seo\presenters;

use Yoast\WP\SEO\Presenters\Abstract_Indexable_Tag_Presenter;

class HJICoordinatesLatitudePresenter extends Abstract_Indexable_Tag_Presenter
{

    /**
     * The tag format including placeholders.
     *
     * @var string
     */
    protected $tag_format = '<meta property="place:location:latitude" content="%s" />';

    /**
     * Returns the value of our new tag.
     *
     * @return string The value of our meta tag.
     */
    public function get() {
        /**
         * Filter: 'wpseo_og_place_location_latitude' - Allow changing the Yoast SEO Open Graph Location Latitude.
         */

        return (string) \trim(\apply_filters('wpseo_og_place_location_latitude', ''));
    }
}
