<?php

namespace hji\membership\services\seo\presenters;

use Yoast\WP\SEO\Presenters\Abstract_Indexable_Tag_Presenter;

class HJICoordinatesLongitudePresenter extends Abstract_Indexable_Tag_Presenter
{

    /**
     * The tag format including placeholders.
     *
     * @var string
     */
    protected $tag_format = '<meta property="place:location:longitude" content="%s" />';

    /**
     * Returns the value of our new tag.
     *
     * @return string The value of our meta tag.
     */
    public function get() {
        /**
         * Filter: 'wpseo_og_place_location_longitude' - Allow changing the Yoast SEO Open Graph Location Longitude.
         */
        return (string) \trim(\apply_filters('wpseo_og_place_location_longitude', ''));
    }
}
