<?php

namespace hji\membership\services\seo\presenters;

use Yoast\WP\SEO\Presenters\Abstract_Indexable_Tag_Presenter;

class HJIImageHeightPresenter extends Abstract_Indexable_Tag_Presenter
{
    /**
     * The tag format including placeholders.
     *
     * @var string
     */
    protected $tag_format = '<meta property="og:image:height" content="%s" />';

    /**
     * @var int
     */
    protected $imageHeight;

    /**
     * @param int $imageHeight
     */
    public function __construct(int $imageHeight = 750)
    {
        $this->imageHeight = $imageHeight;
    }

    /**
     * Returns the value of our new tag.
     *
     * @return string The value of our meta tag.
     */
    public function get() {

        return (string) \trim($this->imageHeight);
    }
}
