<?php

namespace hji\membership\services\seo\presenters;

use Yoast\WP\SEO\Presenters\Abstract_Indexable_Tag_Presenter;

class HJIImageWidthPresenter extends Abstract_Indexable_Tag_Presenter
{
    /**
     * The tag format including placeholders.
     *
     * @var string
     */
    protected $tag_format = '<meta property="og:image:width" content="%s" />';

    /**
     * @var int
     */
    protected $imageWidth;

    /**
     * @param int $imageWidth
     */
    public function __construct(int $imageWidth = 1000)
    {
        $this->imageWidth = $imageWidth;
    }

    /**
     * Returns the value of our new tag.
     *
     * @return string The value of our meta tag.
     */
    public function get() {

        return (string) \trim($this->imageWidth);
    }
}
