<?php

namespace hji\membership\utils;

class NumberFormat
{
    public static function shortNumberFormat($number)
    {
        if ($number < 1000) {
            // Anything less than a thousand
            return number_format($number);
        }

        if ($number < 1000000) {
            // Anything less than a million
            return number_format($number / 1000) . 'K';
        }

        if ($number < 1000000000) {
            // Anything less than a billion
            return number_format($number / 1000000) . 'M';
        }

        return number_format($number / 1000000000) . 'B';
    }

    public static function currencyShortNumberFormat($number, $sign = '$')
    {
        return $sign . self::shortNumberFormat($number);
    }

    public static function addOrdinalNumberSuffix($number) {
        if (!in_array(($number % 100), [11,12,13])){
            switch ($number % 10) {
                // Handle 1st, 2nd, 3rd
                case 1:  return $number.'st';
                case 2:  return $number.'nd';
                case 3:  return $number.'rd';
            }
        }
        return $number.'th';
    }
}
