<?php

namespace hji\membership\utils;

use hji\blvd\BLVDBASE;
use hji\membership\Membership;
use hji\membership\utils\Image as ImageUtils;

class OptimizationHead
{
    /**
     * @param $post
     * @return string
     */
    public static function optimizationHead($post)
    {
        $html = '';
        if (defined('HJI_WP_ENVIRONMENT') && HJI_WP_ENVIRONMENT === 'dev') {
            $html .= '<link rel="preconnect" href="//slipstream-test.homejunction.com">';
            $html .= '<link rel="preconnect" href="//slipstream-test-cdn.homejunction.com">';
            $html .= '<link rel="preconnect" href="//hj-search-dev.server.task-tracker.org">';
        } else {
            $html .= '<link rel="preconnect" href="//slipstream.homejunction.com">';
            $html .= '<link rel="preconnect" href="//slipstream-cdn.homejunction.com">';
        }

        $html .= '<link rel="preconnect" href="//listing-images.homejunction.com">';
        $html .= '<link rel="preconnect" href="//www.google.com">';
        $html .= '<link rel="preconnect" href="https://fonts.googleapis.com">';
        $html .= '<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>';
        $html .= '<link rel="preconnect" href="//www.googletagmanager.com">';
        $html .= '<link rel="preconnect" href="//api.tiles.mapbox.com">';
        $html .= '<link rel="preconnect" href="//a.tiles.mapbox.com">';
        $html .= '<link rel="preconnect" href="//cdnjs.cloudflare.com">';
        $html .= '<link rel="preconnect" href="https://sm.homejunction.com">';
        $html .= '<link rel="preconnect" href="https://code.highcharts.com">';
        $html .= '<link rel="preconnect" href="//maps.gstatic.com">';
        $html .= '<link rel="preconnect" href="//www.gstatic.com">';

        $uploads = URLHelper::getUploadDir();

        $version = '';

        if (class_exists(BLVDBASE::class)) {
            $version = '?ver=' . BLVDBASE::getStyleVersion();
        }

        $min = '';
        if (!defined('HJI_WP_ENVIRONMENT') || (defined('HJI_WP_ENVIRONMENT') && HJI_WP_ENVIRONMENT === 'prod')) {
            $min = '.min';
            $html .= '<link rel="preload" as="style" href="' . $uploads . '/main-styles.css' . $version .'">';
        }

        global $wp_scripts;
        $scriptVersion = '';
        if (!empty($wp_scripts->registered['jquery-core']->ver)) {
            $scriptVersion = '?ver=' . $wp_scripts->registered['jquery-core']->ver;
        }

        $html .= '<link rel="preload" as="script" href="' . site_url() . '/wp-includes/js/jquery/jquery' . $min . '.js' . $scriptVersion . '">';
        $html .= '<link rel="preload" as="script" href="https://cdnjs.cloudflare.com/ajax/libs/underscore.js/1.9.1/underscore-min.js?ver=1" >';
        $html .= '<link rel="preload" as="script" href="' . site_url() . '/wp-content/plugins/hji-membership/resources/scripts/build/jquery-migrate/jquery-migrate-1.4.1.js?ver=1.4.1-wp" >';
        $html .= '<link rel="preload" as="script" href="https://cdnjs.cloudflare.com/ajax/libs/backbone.js/1.4.0/backbone-min.js?ver=1" >';
        $scriptVersion = '';
        if (!empty($wp_scripts->registered['require-js']->ver)) {
            $scriptVersion = '?ver=' . $wp_scripts->registered['require-js']->ver;
        }
        $html .= '<link rel="prefetch" as="script" href="' . site_url() . '/wp-content/plugins/hji-membership/resources/scripts/build/hji.js?ver=' . $scriptVersion .'" >';

        if (is_singular('idx-listing')) {
            $hjiListingHeroImgOptions = Membership::getInstance()->getHjiListingImagesThemeConfig();

            $html .= ImageUtils::getImagesPreload($post, $hjiListingHeroImgOptions);
        }

        return $html;
    }
}
