<?php

namespace hji\membership\utils;

use hji\common\utils\PluginHelper;

class URL
{
    public static function getDomainName($url)
    {
        $parsedUrl = parse_url($url);

        if (!is_array($parsedUrl) || !isset($parsedUrl['host'])) {
            return false;
        }

        return trim($parsedUrl['host'], '/');
    }

    public static function getQueryParams($url)
    {
        $parsedUrl = parse_url($url, PHP_URL_QUERY);

        if (empty($parsedUrl)) {
            return false;
        }

        parse_str($parsedUrl, $result);

        return $result;
    }

    public static function isLocalUrl($url)
    {
        $parsedUrl = parse_url($url);
        if (!$parsedUrl) {

            return $url;
        }

        if (isset($parsedUrl['host']) && $parsedUrl['host'] === 'listing-images.homejunction.com') {
            return false;
        }

        return true;
    }

    /** @deprecated   */
    public static function getPluginURIBySlug($slug)
    {
        return URLHelper::getPluginURIBySlug($slug);
    }

    /** @deprecated   */
    public static function getUploadDir()
    {
        return URLHelper::getUploadDir();
    }

    /** @deprecated   */
    public static function unparseUrl(array $parsed)
    {
        return URLHelper::unparseUrl($parsed);
    }

    /**
     * @param $url
     *
     * @return false|int
     */
    public static function isValidURL($url)
    {
        return URLHelper::isValidURL($url);
    }
}
