<?php

namespace hji\membership\utils;

class UrlParse
{
    public static function getDomainName($url)
    {
        _deprecated_function(__METHOD__, '2.21.1', 'URL::getDomainName($url)');

        if (class_exists(URL::class) && method_exists(URL::class, 'getDomainName')) {
            return URL::getDomainName($url);
        }

        $parsedUrl = parse_url($url);

        if (!is_array($parsedUrl) || !isset($parsedUrl['host'])) {
            return false;
        }

        return trim($parsedUrl['host'], '/');
    }

    public static function getQueryParams($url)
    {
        _deprecated_function(__METHOD__, '2.21.1', 'URL::getQueryParams($url)');

        if (class_exists(URL::class) && method_exists(URL::class, 'getQueryParams')) {
            return URL::getQueryParams($url);
        }

        $parsedUrl = parse_url($url, PHP_URL_QUERY);

        if (empty($parsedUrl)) {
            return false;
        }

        parse_str($parsedUrl, $result);

        return $result;
    }
}
