<?php

namespace hji\common\ajax;

/**
 * Class AjaxAbstract
 * @package hji\common\ajax
 */
abstract class AjaxAbstract implements AjaxInterface
{
    /**
     * Provide name of ajax action
     * @var string
     */
    protected $ajaxName;

    /**
     * Indicate, if this ajax can be run for logged-out users.
     * @var bool
     */
    protected $guestAllowed = false;


    abstract public function ajaxAction();

    /**
     * @return string
     */
    public function getAjaxName()
    {
        return $this->ajaxName;
    }

    /**
     * @return bool
     */
    public function isGuestAllowed()
    {
        return $this->guestAllowed;
    }
}