<?php

namespace hji\common\ajax;

use hji\membership\Membership;

class GetAreaCenterCoordinate extends AjaxAbstract implements AjaxInterface
{

    protected $ajaxName = 'get_area_center_coordinate';

    protected $guestAllowed = true;

    public function ajaxAction()
    {
        $membership = Membership::getInstance();
        $areaId = $_POST['id'] ?? null;

        if ($areaId !== null) {
            $fullAreaInfo = $membership->apiController->api->getAreas(['id' => trim($areaId, '$'), 'details' => true]);

            if ($fullAreaInfo !== false) {
                wp_send_json_success([
                    'lat' => $fullAreaInfo['areas']['0']['centroid']['latitude'],
                    'lng' => $fullAreaInfo['areas']['0']['centroid']['longitude']
                ]);
            }
        }

        wp_send_json_error('area id is not defined', 400);
    }
}