<?php

namespace hji\common\ajax;

use hji\membership\Membership;

class GetSchoolCenterCoordinate extends AjaxAbstract implements AjaxInterface
{

    protected $ajaxName = 'get_school_center_coordinate';

    protected $guestAllowed = true;

    public function ajaxAction()
    {
        $membership = Membership::getInstance();
        $schoolId = $_POST['id'] ?? null;

        if ($schoolId !== null) {
            $fullSchoolInfo = $membership->apiController->api->getSchool(['id' => trim($schoolId, '$'), 'details' => true]);

            if ($fullSchoolInfo !== false) {
                wp_send_json_success([
                    'lat' => $fullSchoolInfo['schools']['0']['coordinates']['latitude'],
                    'lng' => $fullSchoolInfo['schools']['0']['coordinates']['longitude']
                ]);
            }
        }

        wp_send_json_error('school id is not defined', 400);
    }
}