<?php

namespace hji\common\gravityform\import;

use hji\membership\Membership;

class FormImportContextFactory
{
    /**
     * @var array
     */
    private $allForms;

    /**
     * @var array
     */
    private $preImportedForms;
    
    public function create(string $namespace): FormImportContext
    {
        return new FormImportContext($this->getAllForms(), $this->getPreImportedForms());
    }
    
    private function getAllForms()
    {
        $this->allForms = get_option(Membership::HJI_GF_MAPPING_OPTIONS_KEY, []);

        return $this->allForms;
    }

    private function getPreImportedForms()
    {
        $this->preImportedForms = get_option('hji_gf_mapping_preimported', []);

        return $this->preImportedForms;
    }
}
