<?php

namespace hji\common\gravityform\import\mapping;

use hji\ResponsiveIDX\controllers\Settings;
use hji\ResponsiveIDX\ResponsiveIDX;

class HJIResponsiveIdx
{
    public static function getExistedFormsData():array
    {
        $forms = [];
        $settingInstance = Settings::getInstance();
        $generalOptions = get_option($settingInstance::$general_settings_key, false);
        if ($generalOptions === false) {
            return $forms;
        }

        $pluginPath = '';
        $pathArray = explode('/', ResponsiveIDX::$file);
        $countPathParts = count($pathArray);
        if ($countPathParts > 2) {
            $pluginPath = $pathArray[$countPathParts - 2] . '/' . $pathArray[$countPathParts - 1];
        }

        if (!empty($generalOptions['form_1'])) {
            $forms['listing_inquiry']['shortcode'] = $generalOptions['form_1'];
            $forms['listing_inquiry']['title'] = 'Listing Inquiry';


            $forms['listing_inquiry']['pluginPath'] = trim($pluginPath, '/');
        }

        if (!empty($generalOptions['form_2'])) {
            $forms['schedule_showing']['shortcode'] = $generalOptions['form_2'];
            $forms['schedule_showing']['title'] = 'Schedule a Showing';
            $forms['schedule_showing']['pluginPath'] = $pluginPath;
        }

        return $forms;
    }
}
