<?php
namespace hji\common\models;


class JsVars
{
    static protected $vars = array();


    /**
     * Creates hjiSettings JavaScript object with HJI related data
     * and loads it on the page before DOM is ready.
     *
     * Use JsVars::setJsVar($key, $value) to add additional data.
     */
    static function loadVars()
    {
        $vars = apply_filters('hji-js-vars', self::getVars());

        $vars = ($vars) ? $vars : new \stdClass;

        if ($vars)
        {
            $script = "hjiSettings = " . json_encode($vars) . ';';

            echo "<script>\n"; // CDATA and type='text/javascript' is not needed for HTML 5
            echo "/* <![CDATA[ */\n";
            echo "$script\n";
            echo "/* ]]> */\n";
            echo "</script>\n";
        }
    }


    static public function setVar($container, $key, $value)
    {
        $result = $value;

        if (isset(self::$vars[$container][$key]))
        {
            if (is_array(self::$vars[$container][$key]) && is_array($value))
            {
                $result = array_merge(self::$vars[$container][$key], $value);
            }
        }
        self::$vars[$container][$key] = $result;
    }


    static public function getVars($container = false)
    {
        if ($container && isset(self::$vars[$container]))
        {
            return self::$vars[$container];
        }

        return self::$vars;
    }
}
