<?php

namespace hji\common\models;

use hji\common\utils\Cookies;

class SessionDataCache extends ServerDataCache
{

    const COOKIE_NAME = 'hji_session_prefix';

    const CACHE_PREFIX_START = 'hji_session_';

    protected $cachePrefix;

    public $cookieExpiration = 86400;

    public function __construct()
    {
        if (!isset($_COOKIE[self::COOKIE_NAME])) {
            $prefix = str_replace('.', '', uniqid('', true)) . '_';
            $this->cachePrefix = self::CACHE_PREFIX_START . $prefix;
            if (headers_sent()) {
                error_log('[hji\common\models\SessionDataCache] - headers sent non properly');
            } else {
                Cookies::setCookie(self::COOKIE_NAME, $prefix, time() + $this->cookieExpiration);
                $_COOKIE[self::COOKIE_NAME] = $prefix;
            }
        } else {
            $this->cachePrefix = self::CACHE_PREFIX_START . $_COOKIE[self::COOKIE_NAME];
        }
    }

    public function getCachePrefix()
    {
        return $this->cachePrefix;
    }
}