<?php

namespace hji\common\plugin;


use hji\membership\services\Registry;
use hji\membership\services\ServiceContainer;


/**
 * Class PluginAPI Facade
 *
 * @package hji\common\plugin\PluginAPI
 */
class PluginAPI
{
    protected $serviceContainer;


    public function __construct(ServiceContainer $serviceContainer)
    {
        $this->serviceContainer = $serviceContainer;
    }


    /**
     * Registers custom post types with WordPress
     *
     * @param $classReferences array of class reference strings i.e. [MyCustomPostType::class]
     */
    public function registerPostTypes($classReferences)
    {
        $registry = $this->services()->getRegistry();
        $registry->register(Registry::CPT_REGISTRY, $classReferences);
    }


    protected function services()
    {
        return $this->serviceContainer;
    }
}