<?php

namespace hji\common\utils;

class PluginHelper
{
    public static function getPluginSlug($pluginName)
    {
        if (empty($pluginName)) {
            return null;
        }

        return str_replace(' ', '_', strtolower($pluginName));
    }

    /**
     * @return string|null
     */
    public static function getPluginName($pluginPath)
    {
        $pluginInfo = get_plugin_data($pluginPath, false, false);

        return $pluginInfo['Name'] ?? null;
    }

    public static function hji_is_plugin_active($pluginPath)
    {
        if (!function_exists('is_plugin_active'))
        {
            include_once ABSPATH . 'wp-admin/includes/plugin.php';
        }

        return is_plugin_active($pluginPath);
    }
}
